import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class coinToss extends JPanel {
    // Funktionshilfen
    private JLabel frameTitle = new JLabel("Zugreihenfolge", SwingConstants.CENTER);
    private JLabel text = new JLabel("", SwingConstants.CENTER); // Label für die Nachricht
    private int reihenfolge = 1; // Beispielhaft: 1 = Spieler 1 fängt an, 0 = Spieler 2 fängt an
    private Timer timer;

    // Konstruktor
    coinToss(MainFrame frame) {
        setLayout(null); // Setze das Layout des Panels auf CardLayout

        // Nachricht basierend auf 'reihenfolge' einstellen
        String startMessage = (reihenfolge == 1)
                ? "Du fängst an, mach dich bereit..."
                : "Dein Gegner fängt an, mach dich bereit...";
        text.setText(startMessage);
        text.setFont(new Font("Arial", Font.BOLD, 24));
        add(text);

        frameTitle.setFont(new Font("Arial", Font.BOLD, 32));

        // Beispielhaftes "Spielfeld" (nächste Szene)
        JPanel gamePanel = new JPanel();
        gamePanel.setLayout(new BorderLayout());
        JLabel gameLabel = new JLabel("Das Spiel beginnt!", SwingConstants.CENTER);
        gameLabel.setFont(new Font("Arial", Font.BOLD, 36));
        gamePanel.add(gameLabel, BorderLayout.CENTER);

        // Füge das Spiel-Panel zu diesem Panel hinzu
        add(gamePanel, "game");

        // Timer starten
        startTimer();
    }

    private void startTimer() {
        // Timer, der nach 3 Sekunden zum Spiel-Panel wechselt
        timer = new Timer(3000, new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                // Wechsel zum Spiel-Panel
                CardLayout cardLayout = (CardLayout) getLayout();
                cardLayout.show(coinToss.this, "game");
                timer.stop(); // Timer stoppen
            }
        });
        timer.setRepeats(false); // Timer soll nur einmal ablaufen
        timer.start(); // Timer starten
    }
}
